Skip to main content
`Ctrl`+`K`

# DMGetCoordinateDM

Gets the `DM` that prescribes coordinate layout and scatters between global and local coordinates

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetCoordinateDM(DM dm, DM *cdm)

Collective

## Input Parameter

- dm - the `DM`

## Output Parameter

- cdm - coordinate `DM`

## See Also

`DM`, `DMSetCoordinateDM()`, `DMSetCoordinates()`, `DMSetCoordinatesLocal()`, `DMGetCoordinates()`, `DMGetCoordinatesLocal()`, `DMGSetCellCoordinateDM()`,

## Level

intermediate

## Location

src/dm/interface/dmcoordinates.c

## Examples

src/dm/tutorials/swarm_ex1.c
src/dm/tutorials/ex13f90.F90
src/dm/impls/stag/tutorials/ex1.c
src/dm/impls/plex/tutorials/ex8.c
src/dm/impls/stag/tutorials/ex3.c
src/ksp/ksp/tutorials/ex43.c
src/dm/tutorials/ex3.c
src/ksp/ksp/tutorials/ex42.c
src/dm/impls/plex/tutorials/dmplexgetrestoreclosureindices.F90
src/dm/impls/plex/tutorials/ex11.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages